{% extends 'adminBaseNav.html.twig' %}

{% block title %} Administration - Catégories{% endblock %}
{% block body %}
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">

            <!-- section title -->
            <div class="col-md-12">
                <div class="section-title">
                    <h3 class="title"> Gestion des Catégories </h3></div>
                <div class="col-md-8 offset-2">
                    <h3 class="title"> <a href="{{ path('new_category') }}"><i class="fa fa-plus-circle"></i> Ajouted une Catégorie</a></h3>
                </div>
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Catégorie</th>
                        <th>Supprimer</th>
                        <th>Modifier</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for category in categories %}
                        <tr>
                            <td>{{ category.name }}</a></td>

                            <td>
                                <a href="{{ path('del_category', {name:category.name} ) }}" onclick="return confirm('Supprimer la categorie?, Tous les produits liés seront supprimés')" class="btn btn-danger"><i
                                            class="icofont-ui-delete"></i></a></td>
                            <td>
                                <a href="{{ path('edit_category', {name:category.name}) }}" class="btn btn-primary"><i
                                            class="icofont-edit"></i></a>
                            </td>

                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                {# display navigation #}
                <div class="navigation">
                    {{ knp_pagination_render(categories) }}
                </div>
            </div>
        </div>
    </div>


{% endblock %}
